Subject: Re: [PATCH net-next v6 1/6] net/sched: Export mq functions for reuse

From: Willem de Bruijn <[email-masked]>
Date: Tue, 06 Jan 2026 16:53:03 -0500

Toke Høiland-Jørgensen wrote:
> To enable the cake_mq qdisc to reuse code from the mq qdisc, export a
> bunch of functions from sch_mq. Split common functionality out from some
> functions so it can be composed with other code, and export other
> functions wholesale. To discourage wanton reuse, put the symbols into a
> new NET_SCHED_INTERNAL namespace, and a sch_priv.h header file.
> 
> No functional change intended.
> 
> Signed-off-by: Toke Høiland-Jørgensen <[email-masked]>

Reviewed-by: Willem de Bruijn <[email-masked]>

Thanks for revising to reuse the existing mq code, and adding the
symbol namespace.